NEEDLE-MINIMISER(1)

NAME
needle-minimiser - Calculates minimiser for given experiments.

POSITIONAL ARGUMENTS

ARGUMENT-1 (List of std::filesystem::path)
    Please provide at least one sequence file OR provide one file containing all sequence files with the extension '.lst'. Default: [].

OPTIONS

  Basic options:

-h, --help
    Prints the help page.

-hh, --advanced-help
    Prints the help page including advanced options.

--version
    Prints the version information.

--copyright
    Prints the copyright/license information.

--export-help (std::string)
    Export the help page information. Value must be one of [html, man].

-k, --kmer (unsigned 8 bit integer)
    Define k-mer size for the minimisers. Default: 20. Default: 20.

-w, --window (unsigned 32 bit integer)
    Define window size for the minimisers. Default: 60. Default: 0.

--shape (unsigned 64 bit integer)
    Define a shape for the minimisers by the decimal of a bitvector, where 0 symbolizes a position to be ignored, 1 a position considered. Default: ungapped. Default: 0.

--seed (unsigned 64 bit integer)
    Define seed for the minimisers. Default: 0.

-o, --out (std::filesystem::path)
    Directory, where output files should be saved. Default: "./".

-t, --threads (unsigned 8 bit integer)
    Number of threads to use. Default: 1. Default: 1.

--include (std::filesystem::path)
    Sequence file containing minimizers, only those minimizers will be considered. Default: "".

--exclude (std::filesystem::path)
    Sequence file containing minimizers that should not be stored. Default: "".

--samples (List of signed 32 bit integer)
    Define which samples belong together, sum has to be equal to number of sequence files. Default: Every sequence file is one sample from one experiment. Default: [].

-p, --paired
    If set, experiments are paired. Default: Not paired.

--cutoff (List of unsigned 8 bit integer)
    Define for each sample, what number of found minimisers should be considered the result of a sequencing error and therefore be ignored. Default: Every sample has anautomatically generated cutoff, which is based on the file size. Default: [].

--ram
    If ram is set and multiple threads are used, the multithreading is more RAM friendly at the cost of being slower.

VERSION
Last update: 2024-11-07
needle-minimiser version: 1.0.3
SeqAn version: 3.4.0

URL
https://github.com/seqan/needle

LEGAL
needle-minimiser Copyright: BSD 3-Clause License
Author: Mitra Darvish
SeqAn Copyright: 2006-2025 Knut Reinert, FU-Berlin; released under the 3-clause BSDL.
In your academic works please cite: Needle: a fast and space-efficient prefilter for estimating the quantification of very large collections of expression experiments; Mitra Darvish, Enrico Seiler, Svenja Mehringer, René Rahn, and Knut Reinert; Bioinformatics, Volume 38, Issue 17, 1 September 2022, Pages 4100-4108. doi: https://doi.org/10.1093/bioinformatics/btac492
For full copyright and/or warranty information see --copyright.